LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices


Reply
  Search this Thread
Old 11-08-2004, 04:00 PM   #1
turi
LQ Newbie
 
Registered: Jun 2004
Posts: 4

Rep: Reputation: 0
upgrading to kernel 2.6.9


I am trying to upgrade the kernel on a redhat 9.0 to 2.6.9. I am following the instructions at linux gazette (I am not allowed to posturls ). I first tried it in my home pc and everything went without a hitch. But now when I tried doing it at work I am running in to problems.

The only difference I could point to is that the work pc is scsi based. Rest of the configs are pretty much the same except for the ram. When I trying to boot in the error I am getting is as follows:

VFS: Cannot open root devide "sda3" or unknown-block(0,0)
Please append a correct "root=" boot option
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)


Just to be sure, I compiled the scsi support (sym53c8xx) in to the kernel. It initializes perfectly but after that the kernel panics.

Here is my grub.conf:

default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Linux (2.6.9)
root (hd0,0)
kernel /vmlinuz-2.6.9 ro root=LABEL=/ hdd=ide-scsi
initrd /initrd-2.6.9.img
title Red Hat Linux (2.4.20-8smp)
root (hd0,0)
kernel /vmlinuz-2.4.20-8smp ro root=LABEL=/ hdd=ide-scsi
initrd /initrd-2.4.20-8smp.img
title Red Hat Linux-up (2.4.20-8)
root (hd0,0)
kernel /vmlinuz-2.4.20-8 ro root=LABEL=/ hdd=ide-scsi
initrd /initrd-2.4.20-8.img


Any ideas what might be wrong?
 
Old 11-09-2004, 04:33 AM   #2
rjlee
Senior Member
 
Registered: Jul 2004
Distribution: Ubuntu 7.04
Posts: 1,991

Rep: Reputation: 76
The problem that was causing the sda message was that SCSI support was not compiled into the kernel.

If you compile support for SCSI as a module, then the driver information is stored as a file on a SCSI device, which means that you need to mount the SCSI device in order to load the driver, and to mount the device, you must have the driver loaded.

Kernel panicks usually mean that you have failed to compile something that the system needs to work. The error message, and the part of the boot process at which it appears will tend to tell you more information about what that might be.
 
Old 11-09-2004, 09:24 AM   #3
turi
LQ Newbie
 
Registered: Jun 2004
Posts: 4

Original Poster
Rep: Reputation: 0
yup needed to compile...

Hey, thx for your reply. All along I was under the impression that I had compiled in the SCSI support in the kernel and I was so sure that I didn't even double check my .config. I had to compile in sym53c8xx and not aic... Well it's all good now.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
problems occured after upgrading kernel and kernel-utils parv Fedora 0 05-02-2005 06:21 PM
Upgrading kernel on Debian from 2.4 to 2.6.8, Kernel Panic omlette Linux - General 3 03-07-2005 07:00 AM
upgrading kernel from 2.4.20-8 to 2.6.4 mandelchan Linux - Laptop and Netbook 3 04-21-2004 12:00 AM
Upgrading the kernel TX_metalhead Linux - Software 3 05-06-2002 11:23 AM
Upgrading the kernel goochable Linux - General 1 04-11-2001 05:31 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat

All times are GMT -5. The time now is 08:40 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration